// LocalListCtrl.h : header file
//

#pragma once

#ifdef _USE_XTREME_TOOLKITPRO
#else // _USE_XTREME_TOOLKITPRO
#include "ptxshlist.h"
#endif // _USE_XTREME_TOOLKITPRO


/////////////////////////////////////////////////////////////////////////////
// CLocalListCtrl window
#ifdef _USE_XTREME_TOOLKITPRO
class CLocalListCtrl : public CXTShellListCtrl
#else // _USE_XTREME_TOOLKITPRO
class CLocalListCtrl : public CPTxShList
#endif // _USE_XTREME_TOOLKITPRO
{
// Construction
public:
	CLocalListCtrl();

// Attributes
public:

// Operations
protected:
	void DeleteSelectedItem();

public:
	BOOL PasteClipboard(CString sFolder = "");

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CLocalListCtrl)
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CLocalListCtrl();

protected:
	virtual BOOL PreTranslateMessage(MSG* pMsg);

#ifdef _USE_XTREME_TOOLKITPRO
	virtual BOOL InitListViewItems(XT_TVITEMDATA* lptvid, LPSHELLFOLDER lpsf);
#endif // _USE_XTREME_TOOLKITPRO

protected:
	//{{AFX_MSG(CLocalListCtrl)
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()

public:
};
